# Firewalls

### Firewalls and Proxies

Some corporate sites may have tight security and host private FileMaker Servers. Since these FMS boxes are behind a tight firewall extra steps may be needed to communicate to the BF cloud servers.

BF uses server-less auto scaling web servers and as such there is no fixed IP available to white list in your firewall.

The following article discusses how to set up an AWS Lambda function that acts as an API proxy such that all requests will come from a fixed white listable IP. In the BF admin panel set up your server to point to the Lambda Endpoint.

<https://medium.com/@matthewleak/aws-lambda-functions-with-a-static-ip-89a3ada0b471>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/security/security.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
